/*
Theme Name:     Penzion Tereza
Theme URI:      https://ubytovanijhradec.cz
Description:    Child theme for Divi – customized for Penzion Tereza
Author:         David Klhufek
Author URI:     https://phirebase.com
Template:       Divi
Version:        1.0.0
License:        GNU General Public License v2 or later
License URI:    https://www.gnu.org/licenses/gpl-2.0.html
Text Domain:    penzion-tereza
*/

/* === Scroll to Top Button === */
.et_pb_scroll_top.et-pb-icon {
    color: white;
    right: 30px;
    bottom: 30px;
    padding: 8px;
    border-radius: 30px;
    background: #b64040; 
    font-size: 32px;
    transition: all 0.1s ease-in-out;
}

.et_pb_scroll_top.et-pb-icon:hover {
    bottom: 32px;
    background: #b64040;
    transition: all 0.1s ease-in-out;
    box-shadow: 0 10px 15px #162c4e4a;
}

/* === Scroll Top Animations === */
.et_pb_scroll_top.et-visible {
    animation: fadeInBottom 1s cubic-bezier(0.50, 0, 0.16, 1);
}
.et_pb_scroll_top.et-hidden {
    opacity: 0;
    animation: fadeOutBottom 1s cubic-bezier(0.77, 0, 0.175, 1);
}

/* === Mobile Menu Styling === */
ul#mobile_menu.et_mobile_menu a,
ul#top-menu a {
    text-transform: uppercase;
}

/* === Image Titles Off === */
.mfp-title {
    display: none;
}

/* === Animated Menu Link Underline === */
#top-menu a::after {
    content: "";
    display: block;
    height: 2px;
    width: 0;
    background-color: #cf142b; 
    transition: width 0.3s ease;
    margin-top: 4px;
}

#top-menu a.active-menu::after {
    width: 100%;
}
